BEGIN ~RU_RAIGE~

IF ~Global("RU_RAIGE_TALK","LOCALS",1)~ THEN BEGIN RU_RAIGE_0
  SAY @0
  IF ~~ THEN REPLY @1 DO ~SetGlobal("RU_RAIGE_TALK","LOCALS",2)~ GOTO RU_RAIGE_1
  IF ~~ THEN REPLY @2 DO ~SetGlobal("RU_RAIGE_TALK","LOCALS",2)~ GOTO RU_RAIGE_1
  IF ~~ THEN REPLY @3 DO ~SetGlobal("RU_RAIGE_TALK","LOCALS",2)~ GOTO RU_RAIGE_1
END

IF ~~ THEN BEGIN RU_RAIGE_1
  SAY @4
  IF ~~ THEN DO ~Enemy()
                 Kill("CUTSPY")~ EXIT
END

IF ~Global("RU_RAIGE_TALK","LOCALS",2)~ THEN BEGIN RU_RAIGE_2
  SAY @4
  IF ~~ THEN DO ~Enemy()
                 Kill("CUTSPY")~ EXIT
END